vue-cli3 项目运行在IE11下报错

codingfly
  • 521

问题:chrome、FF、Edge下没有任何问题,IE11下报语法错误:

图片描述
错误定位点:

图片描述

已经尝试的解决办法:

  1. sf上的关于该问题的解决办法都已经尝试,有说是因为webpack-dev-server引起,但是项目打包后依然运行报错(错误定位在于ie无法识别class类)。
  2. babel-polyfill引入无效
回复
阅读 5.2k
2 个回答

项目报错原因:node_modules内的依赖项包含ES6语法,无法在ie10及以上浏览器运行,导致报错。
具体配置:github地址

无法识别class, 那就让babel编译成es2015

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏